VMware VCenter Error Code 3010

By James|July 15, 2021|,

Introduction

Upgrading vCenter Server may fail with error code 3010.  The installer message will look something like "Installation of component VMware vCenter Server failed with error code 3010".  VMware article 2149266 discusses the error and possible workarounds.

Error Code 3010

Personal Findings

I received the 3010 error while upgrading vCenter Server 6.7 to 6.7 Update 3N to mitigate against the following vulnerabilities:

VMINST.LOG showed the following line of interest:

  • MSI result of install of "F:\vCenter-Server\Packages\vmware-vpxd.msi" may have failed: 3010 (0x00000bc2)

PKGMGR-COMP-MSI.LOG showed the following line of interest

  • D:\Program Files\VMware\vCenter Server\vpxd\vmeventmsg.dll is being held in use

I am guessing that the vmeventmsg.dll file is used by Event Viewer for VMware event messages.  I did have Event Viewer open during the upgrade to periodically review the upgrade status/progress.  I am not sure if the 3010 error would still have occurred if I was not using Event Viewer during the upgrade.

Resolution

The following steps allowed for a successful vCenter Server upgrade:

  • Renamed D:\Program Files\VMware\vCenter Server\vpxd\vmeventmsg.dll to vmeventmsg.old
  • Initiated vCenter Server 6.7 Update 3N upgrade
  • Upgrade completed successfully
  • New vmeventmsg.dll written to D:\Program Files\VMware\vCenter Server\vpxd during upgrade
  • Removed D:\Program Files\VMware\vCenter Server\vpxd\vmeventmsg.old

 

Copyright 2011 - 2021 The Lazy SharePoint Admin | All Rights Reserved
menu-circlecross-circle linkedin facebook pinterest youtube rss twitter instagram facebook-blank rss-blank linkedin-blank pinterest youtube twitter instagram